### Features:

A cool audio player for **Angular** projects with a collection of exciting features -
- Dragging the player panel
- Download option (optional)
- Multiple player within a single component, which is relly crucial
- Color with your favorite one

### User guide:

```
<qm-audio-player class="your-style" [audio]="track" [pid]="'1'" [color]="'orange'"></qm-audio-player>

```

> **N.B:** simply use **"npm i qm-audio-player --force"**, if you find any version mismatch issue when installing.

### Attritute Data binding properties:
- [audio] = your audio URL here. (required)
- [pid] = Required only if you use this player multiple times in your component and make sure the value is unique and string type.
- [color] = add your preferred color. (optional)
- class = add your own style. (e.g. position)

Thanks