import { AfterViewInit, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AudioPlayerComponent implements OnInit, AfterViewInit {
    private document;
    renderer: Renderer2;
    /**
     * this player module from-
     * https://github.com/greghub/green-audio-player
     * https://codepen.io/gregh/pen/NdVvbm?editors=1010
     */
    audio: string;
    pid: string;
    color: string;
    downloadURL: string;
    audioPlayer: HTMLElement;
    playPause: any;
    playpauseBtn: HTMLElement;
    loading: HTMLDivElement;
    progress: any;
    sliders: any;
    volumeBtn: HTMLDivElement;
    volumeControls: HTMLDivElement;
    volumeProgress: HTMLDivElement;
    player: any;
    currentTime: HTMLElement;
    totalTime: HTMLElement;
    speaker: any;
    draggableClasses: string[];
    currentlyDragged: any;
    volumePin: HTMLElement;
    globalRender: Function;
    options: boolean;
    onMouseDown($event: any): boolean;
    constructor(document: Document, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): any;
    setAudioControls(): void;
    setControlColor(): void;
    onLoadedmetadata(): any;
    endUp(): any;
    toogleVolume(event: any): any;
    isDraggable(el: any): boolean;
    updateProgress(): void;
    updateVolume(): void;
    getCoefficient(event: any): number;
    rewind(event: any): void;
    changeVolume(event: any): any;
    inRange(event: any): boolean;
    getRangeBox(event: any): any;
    formatTime(time: any): string;
    togglePlay(): void;
    makePlay(): void;
    directionAware(): any;
    toogleOptions(open: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AudioPlayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AudioPlayerComponent, "qm-audio-player", never, { "audio": "audio"; "pid": "pid"; "color": "color"; "downloadURL": "downloadURL"; }, {}, never, never>;
}
